Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Downloading EclipseLink5.2.5 -> EclispeLink2.3.3 gives empty zip error(JPA Project configuration )
Downloading EclipseLink5.2.5 -> EclispeLink2.3.3 gives empty zip error [message #1833526] Thu, 15 October 2020 17:34 Go to next message
Thibault Langlois is currently offline Thibault LangloisFriend
Messages: 1
Registered: October 2020
Junior Member
When creating a JPA project I have to download the EclipseLink Library but I get an error "empty zip".

I found this old thread:

https://www.eclipse.org/forums/index.php/t/452459/

where the exact same problem seems to have been solved by the eclipse.org webmaster.

Any help or workaround is much appreciated.
Re: Downloading EclipseLink5.2.5 -> EclispeLink2.3.3 gives empty zip error [message #1848394 is a reply to message #1833526] Wed, 01 December 2021 00:19 Go to previous messageGo to next message
John Sijm is currently offline John SijmFriend
Messages: 2
Registered: November 2021
Junior Member
Sorry I can't help you but I am facing the same issue on Eclipse EDI Version: 2021-09 (4.21.0) Build id: 20210910-1417.
So this is not solved yet.
Re: Downloading EclipseLink5.2.5 -> EclispeLink2.3.3 gives empty zip error [message #1849774 is a reply to message #1833526] Wed, 02 February 2022 09:44 Go to previous message
Danielle Vigapan is currently offline Danielle VigapanFriend
Messages: 1
Registered: February 2022
Junior Member
I had the same problem and I solved it downloading the zip on the eclipse website. Then, I clicked on manage libraries, created a new library and added external jars eclipselink.jar (jlib) and 2 javax.persistence.(...).jar (jlib/jpa).
The full tutorial is on javabeat (eclipselink-jpa-installation-configuration).
Previous Topic:Persistence Units definitions are conflicting?
Next Topic:Migrating EclipseLink from 2.7.x to 3.0.2
Goto Forum:
  


Current Time: Mon Oct 03 15:55:31 GMT 2022

Powered by FUDForum. Page generated in 0.02322 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top